CompositeELResolver (EL 5.0 API Documentation - Apache Tomcat 10.1.48)
Description: declaration: package: jakarta.el, class: CompositeELResolver

# Class CompositeELResolver

java.lang.Object
jakarta.el.ELResolver
jakarta.el.CompositeELResolver

public class CompositeELResolver extends ELResolver

- ## Field Summary

  ### Fields inherited from class ELResolver

  `RESOLVABLE_AT_DESIGN_TIME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeELResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ELResolver elResolver)`
  `<T> T`
  `convertToType(ELContext context, Object obj, Class<T> type)`
  Converts the given object to the given type.
  `Class<?>`
  `getCommonPropertyType(ELContext context, Object base)`
  Obtain the most common type that is acceptable for the given base object.
  `Iterator<FeatureDescriptor>`
  `getFeatureDescriptors(ELContext context, Object base)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Class<?>`
  `getType(ELContext context, Object base, Object property)`
  Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
  `Object`
  `getValue(ELContext context, Object base, Object property)`
  Obtain the value of the given property on the given object using the given context.
  `Object`
  `invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)`
  Invokes a method on the the given object.
  `boolean`
  `isReadOnly(ELContext context, Object base, Object property)`
  Determine if the given property on the given object is read-only using the given context.
  `void`
  `setValue(ELContext context, Object base, Object property, Object value)`
  Set the value of the given property on the given object using the given context.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeELResolver

    public CompositeELResolver()

- ## Method Details

  - ### add

    public void add(ELResolver elResolver)

  - ### getValue

    public Object getValue(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Obtain the value of the given property on the given object using the given context.
    Specified by:
      `getValue` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be returned
    Returns:
      the value of the provided property

  - ### invoke

    public Object invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)
    Description copied from class: `ELResolver`
    Invokes a method on the the given object.
    Overrides:
      `invoke` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the method is to be found
      `method` - The method to invoke
      `paramTypes` - The types of the parameters of the method to invoke
      `params` - The parameters with which to invoke the method
    Returns:
      This default implementation always returns `null`

  - ### getType

    public Class<?> getType(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
    Specified by:
      `getType` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose type is to be returned
    Returns:
      the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

  - ### setValue

    public void setValue(ELContext context, Object base, Object property, Object value)
    Description copied from class: `ELResolver`
    Set the value of the given property on the given object using the given context.
    Specified by:
      `setValue` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be set
      `value` - The value to set the property to

  - ### isReadOnly

    public boolean isReadOnly(ELContext context, Object base, Object property)
    Description copied from class: `ELResolver`
    Determine if the given property on the given object is read-only using the given context.
    Specified by:
      `isReadOnly` in class `ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property to be checked for read only status
    Returns:
      `true` if the identified property is read only, otherwise `false`

  - ### getFeatureDescriptors

    @Deprecated(forRemoval=true, since="EL 5.0") public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext context, Object base)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `ELResolver`
    Obtain the feature descriptors for the resolvable properties of the given object.

    The default implementation returns `null`.

    Overrides:
      `getFeatureDescriptors` in class `ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      An iterator, possibly empty, of feature descriptors of the given object

  - ### getCommonPropertyType

    public Class<?> getCommonPropertyType(ELContext context, Object base)
    Description copied from class: `ELResolver`
    Obtain the most common type that is acceptable for the given base object.
    Specified by:
      `getCommonPropertyType` in class `ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      {code null} if the most common type cannot be determine, otherwise the most common type

  - ### convertToType

    public <T> T convertToType(ELContext context, Object obj, Class<T> type)
    Description copied from class: `ELResolver`
    Converts the given object to the given type.
    Overrides:
      `convertToType` in class `ELResolver`
    Type Parameters:
      `T` - The type to which the object should be converted
    Parameters:
      `context` - The EL context for this evaluation
      `obj` - The object to convert
      `type` - The type to which the object should be converted
    Returns:
      This default implementation always returns `null`